pidgin: theme-loader.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs
theme-loader.h File Reference

Purple Theme Loader Abstact Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme.h"`

Go to the source code of this file.

## Data Structures
struct | _PurpleThemeLoader
struct | _PurpleThemeLoaderClass

## Macros
#define | PURPLE_TYPE_THEME_LOADER (purple_theme_loader_get_type())
#define | PURPLE_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_THEME_LOADER, PurpleThemeLoader))
#define | PURPLE_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_THEME_LOADER, PurpleThemeLoaderClass))
#define | PURPLE_IS_THEME_LOADER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_THEME_LOADER))
#define | PURPLE_IS_THEME_LOADER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_THEME_LOADER))
#define | PURPLE_THEME_LOADER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_THEME_LOADER, PurpleThemeLoaderClass))

## Typedefs
typedef struct _PurpleThemeLoader | PurpleThemeLoader
| A purple theme loader.
typedef struct _PurpleThemeLoaderClass | PurpleThemeLoaderClass

## Functions
Purple Theme-Loader API <br>
G_BEGIN_DECLS GType | purple_theme_loader_get_type (void)
| GObject foo.
const gchar * | purple_theme_loader_get_type_string (PurpleThemeLoader *self)
| Returns the string representing the type of the theme loader.
PurpleTheme * | purple_theme_loader_build (PurpleThemeLoader *loader, const gchar *dir)
| Creates a new PurpleTheme.

## Detailed Description

Purple Theme Loader Abstact Class API.

Definition in file theme-loader.h.

## Macro Definition Documentation

## ◆ PURPLE_IS_THEME_LOADER

#define PURPLE_IS_THEME_LOADER | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_THEME_LOADER))

Definition at line 46 of file theme-loader.h.

## ◆ PURPLE_IS_THEME_LOADER_CLASS

#define PURPLE_IS_THEME_LOADER_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_THEME_LOADER))

Definition at line 47 of file theme-loader.h.

## ◆ PURPLE_THEME_LOADER

#define PURPLE_THEME_LOADER | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_THEME_LOADER, PurpleThemeLoader))

Definition at line 44 of file theme-loader.h.

## ◆ PURPLE_THEME_LOADER_CLASS

#define PURPLE_THEME_LOADER_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_THEME_LOADER, PurpleThemeLoaderClass))

Definition at line 45 of file theme-loader.h.

## ◆ PURPLE_THEME_LOADER_GET_CLASS

#define PURPLE_THEME_LOADER_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_THEME_LOADER, PurpleThemeLoaderClass))

Definition at line 48 of file theme-loader.h.

## ◆ PURPLE_TYPE_THEME_LOADER

#define PURPLE_TYPE_THEME_LOADER (purple_theme_loader_get_type())

Definition at line 43 of file theme-loader.h.

## Typedef Documentation

## ◆ PurpleThemeLoader

typedef struct _PurpleThemeLoader PurpleThemeLoader

A purple theme loader.

This is an abstract class for Purple to use with the Purple theme manager. The loader is responsible for building each type of theme

PurpleThemeLoader is a GObject.

Definition at line 40 of file theme-loader.h.

## ◆ PurpleThemeLoaderClass

typedef struct _PurpleThemeLoaderClass PurpleThemeLoaderClass

Definition at line 41 of file theme-loader.h.

## Function Documentation

## ◆ purple_theme_loader_build()

PurpleTheme * purple_theme_loader_build | ( | PurpleThemeLoader * | loader,
|  | const gchar * | dir
| ) |  |

Creates a new PurpleTheme.

Parameters

  loader | The theme loader
  dir | The directory containing the theme

Returns
  A PurpleTheme containing the information from the directory

## ◆ purple_theme_loader_get_type_string()

const gchar * purple_theme_loader_get_type_string | ( | PurpleThemeLoader * | self | ) |

Returns the string representing the type of the theme loader.

Parameters

  self | The theme loader

Returns
  The string representing this type